import dynamix_sdk.base as _base


class CloudapiComputeDeleteCustomFieldsResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDeleteCustomFieldsProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def delete_custom_fields(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeDeleteCustomFieldsResultBool:
        ...
